%define upstream_name    Alien-m4
%define upstream_version 0.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Find or build GNU m4
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Alien-m4-vendorlib.patch

BuildRequires: perl(Alien::Base) >= 0.38.0
BuildRequires: perl(Alien::Build) >= 0.250.0
BuildRequires: perl(Alien::Build::MM) >= 0.320.0
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test2::V0) >= 0.0.60
BuildRequires: perl(Test::Alien)
BuildRequires: perl(Test::More) >= 0.980.0
BuildArch:  noarch

%description
This package can be used by other CPAN modules that require GNU m4.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/Alien/m4.pm
%perl_vendorlib/auto/share/dist/Alien-m4/


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.210.0-3.mga10
+ Revision: 2207253
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.210.0-2.mga9
+ Revision: 1814636
- Mageia 9 Mass Rebuild

* Fri Jun 25 2021 wally <wally> 0.210.0-1.mga9
+ Revision: 1732172
- new upstream version 0.21

* Sat May 29 2021 wally <wally> 0.200.0-1.mga9
+ Revision: 1728802
- new upstream version 0.20

* Thu Feb 13 2020 tv <tv> 0.190.0-1.mga8
+ Revision: 1513349
- update to 0.19

* Wed Feb 12 2020 tv <tv> 0.180.0-1.mga8
+ Revision: 1510940
- update to 0.18

* Wed Feb 12 2020 umeabot <umeabot> 0.170.0-5.mga8
+ Revision: 1503437
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.170.0-4.mga7
+ Revision: 1281574
- Mageia 7 Mass Rebuild

* Tue Jul 24 2018 wally <wally> 0.170.0-3.mga7
+ Revision: 1245120
- add patch to install to noarch vendorlib

* Tue Jul 24 2018 wally <wally> 0.170.0-2.mga7
+ Revision: 1245108
- submit to core/release

* Tue Jul 24 2018 wally <wally> 0.170.0-1.mga7
+ Revision: 1245096
- imported package perl-Alien-m4


* Tue Jul 24 2018 cpan2dist 0.17-1mga
- initial mageia release, generated with cpan2dist
